<div class="row">
  <div class="col-sm-12">
    <app-card cardTitle="Sample Page" [customHeader]="false" (onRefresh)="cardRefresh($event)" (onDelete)="cardDelete($event)">
      <div class="leftOptions">
          <span class="badge badge-pill badge-primary">New</span>
          <button type="button" class="btn btn-sm btn-primary ml-2" (click)="doDict()" >Dict</button>
      </div>
      <div class="rightOptions">
          <span class="badge badge-pill badge-warning">Old</span>
          <button type="button" class="btn btn-sm btn-primary ml-2" [ngClass]="{'disabled': !$.online}" (click)="doData()">Data</button>
      </div>
      <h4>{{$.Environment.app.name}}</h4>
      <h6><strong>Searching: </strong> {{topSearch}}</h6>
      <p>"Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore
        magna aliqua."
      </p>
      <h6>Can_Manage_Package: Hyderabad x CBSE : {{$.has('Can_Manage_Package',{'Branch':'Hyderabad','Unit':'CBSE'})}} </h6>
      <h6>Can_Manage_Package: : {{$.has('Can_Manage_Package')}}</h6>
      <h6>Can_Manage: ICSE : {{$.has('Can_Manage',{'Unit':'ICSE'})}}</h6>
      <h6>Can_Log: Solapur : {{$.has('Can_Log',{'Branch':'Solapur'})}}</h6>
      <h6>Can_Log: Solapur + Nagpur : {{$.has('Can_Log',{'Branch':['Solapur','Nagpur']})}}</h6>
      <h6>Can_Log: Solapur & Nagpur : {{$.has('Can_Log',{'Branch':['Nagpur']}) && $.has('Can_Log',{'Branch':['Solapur']})}}</h6>
      
      <button class="btn btn-primary" (click)="doApps()" *ngIf="$.is(['Admin'])">Get Apps</button>
      <button class="btn btn-lg btn-primary" (click)="doDivs()" *ngIf="$.is(['Admin']) && $.has(['Can_Read'])">Get Divisions</button>
    </app-card>
    <app-card cardTitle="Sample Page 2" [maximizable]="false" [collapsible]="false">
        <h4>{{$.Environment.app.name}}</h4>
        <h6><strong>Searching: </strong> {{topSearch}}</h6>
        <p>{{AppCollection.get("Gurukul") | json}}</p>
        <button class="btn btn-primary" (click)="doDict2()">Get Apps</button>
        <button class="btn btn-primary" (click)="doDivs()">Get Divisions</button>
      </app-card>
  </div>
</div>


<ng-template #TopLeft>
  <!--Keep all elements in <li> tags -->
  <li class="nav-item search">
    <app-nav-search (onOpen)="onSearchOpen($event)" defaultOpened="true" (onSearch)="onSearch($event)"
      (onClose)="onSearchClose($event)" searchMaxWidth="300">
      <input type="text" id="m-search" class="form-control" placeholder="Leads...." [(ngModel)]="topSearch">
    </app-nav-search>
  </li>
</ng-template>

<ng-template #TopRight>
  <!--Keep all elements in <li> tags -->
  <li class="nav-item">
    <div class="dropdown dropdown-menu-right" ngbDropdown [placement]="['bottom-left', 'bottom-right']">
      <a href="javascript:" data-toggle="dropdown" ngbDropdownToggle><i class="icon feather icon-wifi"></i></a>
      <ul class="dropdown-menu" ngbDropdownMenu>
        <li><a class="dropdown-item" href="javascript:">Action</a></li>
        <li><a class="dropdown-item" href="javascript:">Another action</a></li>
        <li><a class="dropdown-item" href="javascript:">Something else here</a></li>
      </ul>
    </div>
  </li>
  <li class="nav-item">
    <div class="dropdown dropdown-menu-right" ngbDropdown [placement]="['bottom-left', 'bottom-right']">
      <a href="javascript:" data-toggle="dropdown" ngbDropdownToggle><i class="icon feather icon-calendar"></i></a>
      <ul class="dropdown-menu" ngbDropdownMenu>
        <li><a class="dropdown-item" href="javascript:">Action</a></li>
        <li><a class="dropdown-item" href="javascript:">Another action</a></li>
        <li><a class="dropdown-item" href="javascript:">Something else here</a></li>
      </ul>
    </div>
  </li>

</ng-template>



<ng-template #AppMenu>
  <!--Keep all elements in <li> tags -->

  <li (click)="this.visibleUserList = !this.visibleUserList;"><a href="javascript:" class="displayChatbox"><i
        class="icon feather icon-mail"></i></a></li>
  <li>
    <div class="dropdown" ngbDropdown [placement]="['bottom-left', 'bottom-right']">
      <a ngbDropdownToggle href="javascript:" data-toggle="dropdown"><i class="icon feather icon-bell"></i></a>
      <div ngbDropdownMenu class="dropdown-menu dropdown-menu-right notification">
        <div class="noti-head">
          <h6 class="d-inline-block m-b-0">Notifications</h6>
          <div class="float-right">
            <a href="javascript:" class="m-r-10">mark as read</a>
            <a href="javascript:">clear all</a>
          </div>
        </div>
        <ul class="noti-body">
          <li class="n-title">
            <p class="m-b-0">NEW</p>
          </li>
          <li class="notification">
            <div class="media">
              <img class="img-radius" src="assets/images/user/avatar-1.jpg" alt="Generic placeholder image">
              <div class="media-body">
                <p><strong>John Doe</strong><span class="n-time text-muted"><i
                      class="icon feather icon-clock m-r-10"></i>30 min</span></p>
                <p>New ticket Added</p>
              </div>
            </div>
          </li>
          <li class="n-title">
            <p class="m-b-0">EARLIER</p>
          </li>
          <li class="notification">
            <div class="media">
              <img class="img-radius" src="assets/images/user/avatar-2.jpg" alt="Generic placeholder image">
              <div class="media-body">
                <p><strong>Joseph William</strong><span class="n-time text-muted"><i
                      class="icon feather icon-clock m-r-10"></i>30 min</span></p>
                <p>Prchace New Theme and make payment</p>
              </div>
            </div>
          </li>
          <li class="notification">
            <div class="media">
              <img class="img-radius" src="assets/images/user/avatar-3.jpg" alt="Generic placeholder image">
              <div class="media-body">
                <p><strong>Sara Soudein</strong><span class="n-time text-muted"><i
                      class="icon feather icon-clock m-r-10"></i>30 min</span></p>
                <p>currently login</p>
              </div>
            </div>
          </li>
        </ul>
        <div class="noti-footer">
          <a href="javascript:">show all</a>
        </div>
      </div>
    </div>
  </li>
</ng-template>

<section class="header-user-list" *ngIf="visibleUserList && !this.themeConfig['rtl-layout']"
  [ngClass]="{'open': visibleUserList}" [@slideInOutLeft]>
  <app-chat-user-list (onChatToggle)="onChatToggle($event)"
    (onChatCollapse)="this.visibleUserList = !this.visibleUserList; this.chatMessage = false;"></app-chat-user-list>
</section>

<section class="header-chat" *ngIf="chatMessage && !this.themeConfig['rtl-layout']" [ngClass]="{'open': chatMessage}"
  [@slideInOutLeft]>
  <app-chat-msg (onChatToggle)="this.chatMessage = !this.chatMessage" [friendId]="friendId"></app-chat-msg>
</section>

<section class="header-user-list" *ngIf="visibleUserList && this.themeConfig['rtl-layout']"
  [ngClass]="{'open': visibleUserList}" [@slideInOutRight]>
  <app-chat-user-list (onChatToggle)="onChatToggle($event)"
    (onChatCollapse)="this.visibleUserList = !this.visibleUserList; this.chatMessage = false;"></app-chat-user-list>
</section>

<section class="header-chat" *ngIf="chatMessage && this.themeConfig['rtl-layout']" [ngClass]="{'open': chatMessage}"
  [@slideInOutRight]>
  <app-chat-msg (onChatToggle)="this.chatMessage = !this.chatMessage" [friendId]="friendId"></app-chat-msg>
</section>